<?xml version="1.0"?>
<!--
  This transformation removes jarUp rules
  for SWT architecture-specific plugins.
-->
<xsl:transform version="1.0"
               xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" encoding="UTF-8"/>

<xsl:template match="antcall[@target='jarUp']
	[param[@name='elementName']
	      [starts-with(@value, 'org.eclipse.swt.')]]" />

<xsl:template match="node()">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*" />
  </xsl:copy>
</xsl:template>

<xsl:template match="@*">
  <xsl:copy/>
</xsl:template>

</xsl:transform>
